import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { WarningType } from '@red/domain';

export const approvalWarningReasonTranslations: Record<string, string> = {
    [WarningType.PENDING_CHANGE]: _('confirmation-dialog.approve-file.warning-reason.pending-changes'),
    [WarningType.LEGAL_BASIS_MISSING]: _('confirmation-dialog.approve-file.warning-reason.legal-basis-missing'),
    [WarningType.UNMAPPED_JUSTIFICATION]: _('confirmation-dialog.approve-file.warning-reason.unmapped-justification'),
};
